Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > Class Template Reference

`#include <glibmm/arrayhandle.h>`

## Public Types

using | Me = ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >
using | Tr = Container_Helpers::TypeTraits< bool >
using | CppType = Tr::CppType
using | CType = Tr::CType
using | value_type = CppType
using | size_type = std::size_t
using | difference_type = std::ptrdiff_t
using | const_iterator = Glib::Container_Helpers::ArrayHandleIterator< Tr >
using | iterator = Glib::Container_Helpers::ArrayHandleIterator< Tr >

## Public Member Functions

template<class Cont >
| ArrayHandle (const Cont& container)
| ArrayHandle (const CType* array, std::size_t array_size, Glib::OwnershipType ownership)
| ArrayHandle (const CType* array, Glib::OwnershipType ownership)
| ArrayHandle (const Me& other)
| ~ArrayHandle () noexcept
const_iterator | begin () const
const_iterator | end () const
template<class U >
| operator std::vector< U > () const
template<class U >
| operator std::deque< U > () const
template<class U >
| operator std::list< U > () const
template<class Cont >
void | assign_to (Cont& container) const
template<class Out >
void | copy (Out pdest) const
const CType* | data () const
std::size_t | size () const
bool | empty () const

## Member Typedef Documentation

## const_iterator

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::const_iterator = Glib::Container_Helpers::ArrayHandleIterator<Tr>

## CppType

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::CppType = Tr::CppType

## CType

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::CType = Tr::CType

## difference_type

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::difference_type = std::ptrdiff_t

## iterator

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::iterator = Glib::Container_Helpers::ArrayHandleIterator<Tr>

## Me

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::Me = ArrayHandle<bool, Container_Helpers::TypeTraits<bool> >

## size_type

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::size_type = std::size_t

## Tr

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::Tr = Container_Helpers::TypeTraits<bool>

## value_type

using Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::value_type = CppType

## Constructor & Destructor Documentation

## ArrayHandle() [1/4]

template <class Cont >

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::ArrayHandle | ( | const Cont & | container | ) |

inline

## ArrayHandle() [2/4]

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::ArrayHandle | ( | const CType* | array,
|  | std::size_t | array_size,
|  | Glib::OwnershipType | ownership
| ) |  |

inline

## ArrayHandle() [3/4]

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::ArrayHandle | ( | const CType* | array,
|  | Glib::OwnershipType | ownership
| ) |  |

inline

## ArrayHandle() [4/4]

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::ArrayHandle | ( | const Me& | other | ) |

inline

## ~ArrayHandle()

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::~ArrayHandle | ( |  | ) |

noexcept

## Member Function Documentation

## assign_to()

template <class Cont >

void Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::assign_to | ( | Cont & | container | ) | const

inline

## begin()

const_iterator Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::begin | ( |  | ) | const

inline

## copy()

template <class Out >

void Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::copy | ( | Out | pdest | ) | const

inline

## data()

const CType* Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::data | ( |  | ) | const

inline

## empty()

bool Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::empty | ( |  | ) | const

inline

## end()

const_iterator Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::end | ( |  | ) | const

inline

## operator std::deque< U >()

template <class U >

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::operator std::deque< U > | ( |  | ) | const

inline

## operator std::list< U >()

template <class U >

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::operator std::list< U > | ( |  | ) | const

inline

## operator std::vector< U >()

template <class U >

Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::operator std::vector< U > | ( |  | ) | const

inline

## size()

std::size_t Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >::size | ( |  | ) | const

inline